/*
 * Segment 8 Parametrierung und Konfiguration, SWE 8.2 Parametrierung - Bibliothek
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.puk.param.lib;

import java.util.EventListener;

import de.bsvrz.dav.daf.main.ResultData;

/**
 * Schnittstelle für einen Listener, der benachrichtigt wird, wenn sich die
 * Parameter eines Datenverteiler-Systemobjekts geändert haben.
 *
 * @author BitCtrl Systems GmbH, Peuker
 * @version $Id: ParameterListener.java 62370 2016-06-29 13:45:13Z peuker $
 */
public interface ParameterListener extends EventListener {
	/**
	 * wird aufgerufen, wenn sich die Parameter eines angemeldeten Objekts
	 * geändert haben.<br>
	 * Die Daten selbst werden als mit dem übergebenen ResultData-Objekt
	 * bereitgestellt.
	 *
	 * @param daten
	 *            die neuen Daten
	 */
	void neuerParameter(final ResultData daten);
}
