/*
 * Segment 8 Parametrierung und Konfiguration, SWE 8.2 Parametrierung - Bibliothek
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.puk.param.lib.daten;

import java.io.Serializable;

/**
 * Repräsentiert ein beliebiges Attribut im Datenverteiler.
 *
 * @author BitCtrl Systems GmbH, Schumann, Peuker
 * @version $Id: Attribut.java 62370 2016-06-29 13:45:13Z peuker $
 * @param <T>
 *            Datentyp den das Attribut sichert
 */
public interface Attribut<T> extends Serializable {

	/**
	 * gibt den im Attribut gesicherten Wert zurück.
	 *
	 * @return den Wert
	 */
	T get();

	/**
	 * gibt den Namen des Attributs zurück.
	 *
	 * @return den Attributname
	 */
	String getName();

	/**
	 * setzt den Wert, der im Attribut gesichert werden soll.
	 *
	 * @param wert
	 *            der Wert
	 */
	void set(T wert);
}
